## cloud-init 21.1-19-gbad84ad4

=== debian/changelog ===
cloud-init (21.1-19-gbad84ad4-0ubuntu1~16.04.2) xenial; urgency=medium

  * cherry-pick 83f6bbfb: Fix unpickle for source paths missing run_dir
    (#863) (LP: #1899299)
  * cherry-pick d132356c: fix error on upgrade caused by new vendordata2
    attributes (LP: #1922739)

 -- James Falcon <james.falcon@canonical.com>  Mon, 19 Apr 2021 14:06:47 -0500

cloud-init (21.1-19-gbad84ad4-0ubuntu1~16.04.1) xenial; urgency=medium
  * d/cloud-init.postinst: Change output log permissions on upgrade
    (LP: #1918303)
  * d/cloud-init.manpages: include upstream manpages in package (LP: #1908548)
  * drop the following cherry-picks now included:
    + cpick-4f62ae8d-Fix-regression-with-handling-of-IMDS-ssh-keys-760
  * refresh patches:
   + debian/patches/azure-apply-network-config-false.patch
   + debian/patches/openstack-no-network-config.patch
  * New upstream snapshot. (LP: #1920272)
    - .travis.yml: generate an SSH key before running tests (#848)
    - write passwords only to serial console, lock down cloud-init-output.log
      (#847)
    - Fix apt default integration test (#845)
    - integration_tests: bump pycloudlib dependency (#846)
    - commit f35181fa970453ba6c7c14575b12185533391b97 [eb3095]
    - archlinux: Fix broken locale logic (#841) [Kristian Klausen]
    - Integration test for #783 (#832)
    - integration_tests: mount more paths IN_PLACE (#838)
    - Fix requiring device-number on EC2 derivatives (#836)
    - Remove the vi comment from the part-handler example (#835)
    - net: exclude OVS internal interfaces in get_interfaces (#829)
    - tox.ini: pass OS_* environment variables to integration tests (#830)
    - integration_tests: add OpenStack as a platform (#804)
    - Add flexibility to IMDS api-version (#793) [Thomas Stringer]
    - Fix the TestApt tests using apt-key on Xenial and Hirsute (#823)
      [Paride Legovini]
    - doc: remove duplicate "it" from nocloud.rst (#825) [V.I. Wood]
    - archlinux: Use hostnamectl to set the transient hostname (#797)
      [Kristian Klausen]
    - cc_keys_to_console.py: Add documentation for recently added config key
      (#824) [dermotbradley]
    - Update cc_set_hostname documentation (#818) [Toshi Aoyama]
    - Release 21.1 (#820)
    - Azure: Support for VMs without ephemeral resource disks. (#800)
      [Johnson Shi]
    - cc_keys_to_console: add option to disable key emission (#811)
      [Michael Hudson-Doyle]
    - integration_tests: introduce lxd_use_exec mark (#802)
    - azure: case-insensitive UUID to avoid new IID during kernel upgrade
      (#798)
    - stale.yml: don't ask submitters to reopen PRs (#816)
    - integration_tests: fix use of SSH agent within tox (#815)
    - integration_tests: add UPGRADE CloudInitSource (#812)
    - integration_tests: use unique MAC addresses for tests (#813)
    - Update .gitignore (#814)
    - Port apt cloud_tests to integration tests (#808)
    - integration_tests: fix test_gh626 on LXD VMs (#809)
    - Fix attempting to decode binary data in test_seed_random_data test (#806)
    - Remove wait argument from tests with session_cloud calls (#805)
    - Datasource for UpCloud (#743) [Antti Myyrä]
    - test_gh668: fix failure on LXD VMs (#801)
    - openstack: read the dynamic metadata group vendor_data2.json (#777)
      [Andrew Bogott]
    - includedir in suoders can be prefixed by "arroba" (#783)
      [Jordi Massaguer Pla]
    - Merge upstream/20.4.1 into master
    - [VMware] change default max wait time to 15s (#774) [xiaofengw-vmware]
    - Revert integration test associated with reverted #586 (#784)
    - Add jordimassaguerpla as contributor (#787) [Jordi Massaguer Pla]
    - Add Rick Harding to CLA signers (#792) [Rick Harding]
    - HACKING.rst: add clarifying note to LP CLA process section (#789)
    - Stop linting cloud_tests (#791)
    - cloud-tests: update cryptography requirement (#790) [Joshua Powers]
    - Remove 'remove-raise-on-failure' calls from integration_tests (#788)
    - Use more cloud defaults in integration tests (#757)
    - Adding self to cla signers (#776) [Andrew Bogott]
    - doc: avoid two warnings (#781) [Dan Kenigsberg]
    - Use proper spelling for Red Hat (#778) [Dan Kenigsberg]
    - Add antonyc to .github-cla-signers (#747) [Anton Chaporgin]
    - integration_tests: log image serial if available (#772)
    - Revert "ssh_util: handle non-default AuthorizedKeysFile config (#586)"
      (#775)
    - [VMware] Support cloudinit raw data feature (#691) [xiaofengw-vmware]
    - net: Fix static routes to host in eni renderer (#668) [Pavel Abalikhin]
    - .travis.yml: don't run cloud_tests in CI (#756)
    - test_upgrade: add some missing commas (#769)
    - cc_seed_random: update documentation and fix integration test (#771)
    - Fix test gh-632 test to only run on NoCloud (#770)
    - archlinux: fix package upgrade command handling (#768) [Bao Trinh]
    - integration_tests: add integration test for LP:1910835 (#761)
    - Fix regression with handling of IMDS ssh keys (#760) [Thomas Stringer]
    - integration_tests: log cloud-init version in SUT (#758)
    - Add ajmyyra as contributor (#742) [Antti Myyrä]
    - net_convert: add some missing help text (#755)
    - Missing IPV6_AUTOCONF=no to render sysconfig dhcp6 stateful on RHEL
      (#753) [Eduardo Otubo]
    - doc: document missing IPv6 subnet types (#744) [Antti Myyrä]
    - Add example configuration for datasource `AliYun` (#751) [Xiaoyu Zhong]
    - integration_tests: add SSH key selection settings (#754)
    - fix a typo in man page cloud-init.1 (#752) [Amy Chen]
    - network-config-format-v2.rst: add Netplan Passthrough section (#750)
    - stale: re-enable post holidays (#749)
    - integration_tests: port ca_certs tests from cloud_tests (#732)
    - Azure: Add telemetry for poll IMDS (#741) [Johnson Shi]
    - doc: move testing section from HACKING to its own doc (#739)
    - No longer allow integration test failures on travis (#738)
    - stale: fix error in definition (#740)


=== debian/control ===
Source: cloud-init
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               iproute2,
               pep8,
               po-debconf,
               python3,
               python3-configobj,
               python3-httpretty,
               python3-jinja2,
               python3-jsonpatch,
               python3-mock,
               python3-oauthlib,
               python3-pytest,
               python3-pytest-catchlog,
               python3-requests,
               python3-serial,
               python3-setuptools,
               python3-yaml
XS-Python-Version: all
Vcs-Browser: https://git.launchpad.net/cloud-init/?h=ubuntu/devel
Vcs-Git: git://git.launchpad.net/cloud-init -b ubuntu/devel
Standards-Version: 3.9.6

Package: cloud-init
Architecture: all
Depends: cloud-guest-utils | cloud-utils,
         ifupdown (>= 0.6.10ubuntu5),
         procps,
         python3,
         python3-requests (>= 0.8.2),
         python3-serial,
         ${misc:Depends},
         ${python3:Depends}
Breaks: walinuxagent (<< 2.1.3-0ubuntu4.1)
Recommends: eatmydata, gdisk, software-properties-common
Provides: ec2-init
Replaces: ec2-init (<<0.5.3)
Conflicts: ec2-init (<<0.5.3)
XB-Python-Version: ${python:Versions}
Description: Init scripts for cloud instances
 Cloud instances need special scripts to run during initialisation
 to retrieve and install ssh keys and to let the user run various scripts.

Package: grub-legacy-ec2
Depends: debconf (>= 1.5.19) | cdebconf,
         ucf,
         util-linux (>= 2.15-1),
         ${misc:Depends}
Conflicts: grub
Suggests: grub-legacy-doc
Architecture: all
Description: Handles update-grub for ec2 instances
 EC2 instances that use grub-legacy as a bootloader need a way to keep
 /boot/grub/menu.lst up to date while not conflicting with grub-pc.
 This package provides that.

Package: ec2-init
Depends: cloud-init, ${misc:Depends}
Architecture: all
Description: package renamed -> cloud-init
 This package has been renamed to 'cloud-init'.

=== debian/rules ===
#!/usr/bin/make -f
INIT_SYSTEM ?= upstart,systemd
export PYBUILD_INSTALL_ARGS=--init-system=$(INIT_SYSTEM)
DEB_VERSION := $(shell dpkg-parsechangelog --show-field=Version)

%:
	dh $@ --with python3,systemd --buildsystem pybuild

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	http_proxy= make PYVER=python3 check
else
	@echo check disabled by DEB_BUILD_OPTIONS=$(DEB_BUILD_OPTIONS)
endif

override_dh_systemd_start:
	dh_systemd_start --no-restart-on-upgrade --no-start

override_dh_auto_install:
	dh_auto_install --destdir=debian/cloud-init
	install -D -m 0644 ./tools/21-cloudinit.conf debian/cloud-init/etc/rsyslog.d/21-cloudinit.conf
	install -D ./tools/Z99-cloud-locale-test.sh debian/cloud-init/etc/profile.d/Z99-cloud-locale-test.sh
	install -D ./tools/Z99-cloudinit-warnings.sh debian/cloud-init/etc/profile.d/Z99-cloudinit-warnings.sh
	install -m 0644 -D debian/apport-launcher.py debian/cloud-init/usr/share/apport/package-hooks/cloud-init.py
	flist=$$(find $(CURDIR)/debian/ -type f -name version.py) && sed -i 's,@@PACKAGED_VERSION@@,$(DEB_VERSION),' $${flist:-did-not-find-version-py-for-replacement}

## cloud-init 21.2-3-g899bfaa9

=== debian/changelog ===
cloud-init (21.2-3-g899bfaa9-0ubuntu2~20.10.1) groovy; urgency=medium

  * d/cloud-init.templates: Add Vultr datasource support
  * drop the following cherry-picks now included:
    + cpick-83f6bbfb-Fix-unpickle-for-source-paths-missing-run_dir-863
    + cpick-d132356c-fix-error-on-upgrade-caused-by-new-vendordata2
  * New upstream snapshot. (LP: #1927491)
    - Update test characters in substitution unit test (#893)
    - cc_disk_setup.py: remove UDEVADM_CMD definition as not used (#886)
      [dermotbradley]
    - Add AlmaLinux OS support (#872) [Andrew Lukoshko]
    - Release 21.2 (#890)
    - Add \r\n check for SSH keys in Azure (#889)
    - Revert "Add support to resize rootfs if using LVM (#721)" (#887)
    - Add Vultaire as contributor (#881) [Paul Goins]
    - Azure: adding support for consuming userdata from IMDS (#884) [Anh Vo]
    - test_upgrade: modify test_upgrade_package to run for more sources (#883)
    - Fix chef module run failure when chef_license is set (#868) [Ben Hughes]
    - Azure: Retry net metadata during nic attach for non-timeout errs (#878)
      [aswinrajamannar]
    - Azure: Retrieve username and hostname from IMDS (#865) [Thomas Stringer]
    - Azure: eject the provisioning iso before reporting ready (#861) [Anh Vo]
    - Use `partprobe` to re-read partition table if available (#856)
      [Nicolas Bock]
    - fix error on upgrade caused by new vendordata2 attributes (#869)
    - add prefer_fqdn_over_hostname config option (#859) [hamalq]
    - Emit dots on travis to avoid timeout (#867)
    - doc: Replace remaining references to user-scripts as a config module
      (#866) [Ryan Harper]
    - azure: Removing ability to invoke walinuxagent (#799) [Anh Vo]
    - Add Vultr support (#827) [David Dymko]
    - Fix unpickle for source paths missing run_dir (#863) [lucasmoura]
    - sysconfig: use BONDING_MODULE_OPTS on SUSE (#831) [Jens Sandmann]
    - bringup_static_routes: fix gateway check (#850) [Petr Fedchenkov]
    - add hamalq user (#860) [hamalq]
    - Add support to resize rootfs if using LVM (#721) [Eduardo Otubo]
    - Fix mis-detecting network configuration in initramfs cmdline (#844)
    - tools/write-ssh-key-fingerprints: do not display empty header/footer
      (#817) [dermotbradley]
    - Azure helper: Ensure Azure http handler sleeps between retries (#842)
      [Johnson Shi]
    - Fix chef apt source example (#826) [timothegenzmer]

 -- James Falcon <james.falcon@canonical.com>  Tue, 11 May 2021 12:07:28 -0500

cloud-init (21.1-19-gbad84ad4-0ubuntu1~20.10.2) groovy; urgency=medium

  * cherry-pick 83f6bbfb: Fix unpickle for source paths missing run_dir
    (#863) (LP: #1899299)
  * cherry-pick d132356c: fix error on upgrade caused by new vendordata2
    attributes (LP: #1922739)

 -- James Falcon <james.falcon@canonical.com>  Mon, 19 Apr 2021 13:58:19 -0500

cloud-init (21.1-19-gbad84ad4-0ubuntu1~20.10.1) groovy; urgency=medium
  * d/cloud-init.postinst: Change output log permissions on upgrade
    (LP: #1918303)
  * d/cloud-init.manpages: include upstream manpages in package (LP: #1908548)
  * drop the following cherry-picks now included:
    + cpick-4f62ae8d-Fix-regression-with-handling-of-IMDS-ssh-keys-760
  * New upstream snapshot. (LP: #1920272)
    - .travis.yml: generate an SSH key before running tests (#848)
    - write passwords only to serial console, lock down cloud-init-output.log
      (#847)
    - Fix apt default integration test (#845)
    - integration_tests: bump pycloudlib dependency (#846)
    - commit f35181fa970453ba6c7c14575b12185533391b97 [eb3095]
    - archlinux: Fix broken locale logic (#841) [Kristian Klausen]
    - Integration test for #783 (#832)
    - integration_tests: mount more paths IN_PLACE (#838)
    - Fix requiring device-number on EC2 derivatives (#836)
    - Remove the vi comment from the part-handler example (#835)
    - net: exclude OVS internal interfaces in get_interfaces (#829)
    - tox.ini: pass OS_* environment variables to integration tests (#830)
    - integration_tests: add OpenStack as a platform (#804)
    - Add flexibility to IMDS api-version (#793) [Thomas Stringer]
    - Fix the TestApt tests using apt-key on Xenial and Hirsute (#823)
      [Paride Legovini]
    - doc: remove duplicate "it" from nocloud.rst (#825) [V.I. Wood]
    - archlinux: Use hostnamectl to set the transient hostname (#797)
      [Kristian Klausen]
    - cc_keys_to_console.py: Add documentation for recently added config key
      (#824) [dermotbradley]
    - Update cc_set_hostname documentation (#818) [Toshi Aoyama]
    - Release 21.1 (#820)
    - Azure: Support for VMs without ephemeral resource disks. (#800)
      [Johnson Shi]
    - cc_keys_to_console: add option to disable key emission (#811)
      [Michael Hudson-Doyle]
    - integration_tests: introduce lxd_use_exec mark (#802)
    - azure: case-insensitive UUID to avoid new IID during kernel upgrade
      (#798)
    - stale.yml: don't ask submitters to reopen PRs (#816)
    - integration_tests: fix use of SSH agent within tox (#815)
    - integration_tests: add UPGRADE CloudInitSource (#812)
    - integration_tests: use unique MAC addresses for tests (#813)
    - Update .gitignore (#814)
    - Port apt cloud_tests to integration tests (#808)
    - integration_tests: fix test_gh626 on LXD VMs (#809)
    - Fix attempting to decode binary data in test_seed_random_data test (#806)
    - Remove wait argument from tests with session_cloud calls (#805)
    - Datasource for UpCloud (#743) [Antti Myyrä]
    - test_gh668: fix failure on LXD VMs (#801)
    - openstack: read the dynamic metadata group vendor_data2.json (#777)
      [Andrew Bogott]
    - includedir in suoders can be prefixed by "arroba" (#783)
      [Jordi Massaguer Pla]
    - Merge upstream/20.4.1 into master
    - [VMware] change default max wait time to 15s (#774) [xiaofengw-vmware]
    - Revert integration test associated with reverted #586 (#784)


=== debian/control ===
Source: cloud-init
Section: admin
Priority: optional
Homepage: https://cloud-init.io/
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               iproute2,
               pep8,
               po-debconf,
               python3,
               python3-configobj,
               python3-httpretty,
               python3-jinja2,
               python3-jsonpatch,
               python3-jsonschema,
               python3-mock,
               python3-oauthlib,
               python3-pytest,
               python3-requests,
               python3-serial,
               python3-setuptools,
               python3-yaml
XS-Python-Version: all
Vcs-Browser: https://github.com/canonical/cloud-init/tree/ubuntu/devel
Vcs-Git: https://github.com/canonical/cloud-init -b ubuntu/devel
Standards-Version: 4.5.0
Rules-Requires-Root: no

Package: cloud-init
Architecture: all
Depends: cloud-guest-utils | cloud-utils,
         isc-dhcp-client,
         iproute2,
         netplan.io,
         procps,
         python3,
         python3-requests,
         python3-serial,
         ${misc:Depends},
         ${python3:Depends}
Recommends: eatmydata, gdisk, software-properties-common
XB-Python-Version: ${python:Versions}
Description: initialization and customization tool for cloud instances
 Cloud-init is the industry standard multi-distribution method for
 cross-platform cloud instance initialization. It is supported across all major
 public cloud providers, provisioning systems for private cloud infrastructure,
 and bare-metal installations.
 .
 Cloud instances are initialized from a disk image and instance data:
 .
  * Cloud metadata
  * User data (optional)
  * Vendor data (optional)
 .
 Cloud-init will identify the cloud it is running on during boot, read any
 provided metadata from the cloud and initialize the system accordingly. This
 may involve setting up the network and storage devices to configuring SSH
 access key and many other aspects of a system. Later on the cloud-init will
 also parse and process any optional user or vendor data that was passed to
 the instance.

## cloud-init 21.3-1-g6803368d

=== debian/changelog ===
cloud-init (21.3-1-g6803368d-0ubuntu1~20.04.3) focal; urgency=medium

  * cherry-pick 612e3908: Add connectivity_url to Oracle's
    EphemeralDHCPv4 (#988) (LP: #1939603)
  * cherry-pick dc227869: Set Azure to apply networking config every BOOT
    (#1023)

 -- James Falcon <james.falcon@canonical.com>  Mon, 20 Sep 2021 11:09:19 -0500

cloud-init (21.3-1-g6803368d-0ubuntu1~20.04.2) focal; urgency=medium

  * cherry-pick 28e56d99: Azure: Retry dhcp on timeouts when polling
    reprovisiondata
  * cherry-pick e69a8874: Set Azure to only update metadata on
    BOOT_NEW_INSTANCE

 -- James Falcon <james.falcon@canonical.com>  Fri, 03 Sep 2021 13:25:40 -0500

cloud-init (21.3-1-g6803368d-0ubuntu1~20.04.1) focal; urgency=medium

  * d/cloud-init.templates: Add VMware datasource support
  * d/control: Add dependencies on python3-netifaces for VMware ds
  * New upstream snapshot. (LP: #1940871)
    - testing: Fix ssh keys integration test (#992)
    - Release 21.3 (#993)
    - Azure: During primary nic detection, check interface status continuously
      before rebinding again (#990) [aswinrajamannar]
    - Fix home permissions modified by ssh module (SC-338) (#984)
    - Add integration test for sensitive jinja substitution (#986)
    - Ignore hotplug socket when collecting logs (#985)
    - testing: Add missing mocks to test_vmware.py (#982)
    - add Zadara Edge Cloud Platform to the supported clouds list (#963)
      [sarahwzadara]
    - testing: skip upgrade tests on LXD VMs (#980)
    - Only invoke hotplug socket when functionality is enabled (#952)
    - Revert unnecessary lcase in ds-identify (#978) [Andrew Kutz]
    - cc_resolv_conf: fix typos (#969) [Shreenidhi Shedi]
    - Replace broken httpretty tests with mock (SC-324) (#973)
    - Azure: Check if interface is up after sleep when trying to bring it up
      (#972) [aswinrajamannar]
    - Update dscheck_VMware's rpctool check (#970) [Shreenidhi Shedi]
    - Azure: Logging the detected interfaces (#968) [Moustafa Moustafa]
    - Change netifaces dependency to 0.10.4 (#965) [Andrew Kutz]
    - Azure: Limit polling network metadata on connection errors (#961)
      [aswinrajamannar]
    - Update inconsistent indentation (#962) [Andrew Kutz]
    - cc_puppet: support AIO installations and more (#960) [Gabriel Nagy]
    - Add Puppet contributors to CLA signers (#964) [Noah Fontes]
    - Datasource for VMware (#953) [Andrew Kutz]
    - photon: refactor hostname handling and add networkd activator (#958)
      [sshedi]
    - Stop copying ssh system keys and check folder permissions (#956)
      [Emanuele Giuseppe Esposito]
    - testing: port remaining cloud tests to integration testing framework
      (SC-191) (#955)
    - generate contents for ovf-env.xml when provisioning via IMDS (#959)
      [Anh Vo]
    - Add support for EuroLinux 7 && EuroLinux 8 (#957) [Aleksander Baranowski]
    - Implementing device_aliases as described in docs (#945) [Mal Graty]
    - testing: fix test_ssh_import_id.py (#954)
    - Add ability to manage fallback network config on PhotonOS (#941) [sshedi]
    - Add VZLinux support (#951) [eb3095]
    - VMware: add network-config support in ovf-env.xml (#947) [PengpengSun]
    - Update pylint to v2.9.3 and fix the new issues it spots (#946)
      [Paride Legovini]
    - Azure: mount default provisioning iso before try device listing (#870)
      [Anh Vo]
    - Document known hotplug limitations (#950)
    - Initial hotplug support (#936)
    - Fix MIME policy failure on python version upgrade (#934)
    - run-container: fixup the centos repos baseurls when using http_proxy
      (#944) [Paride Legovini]
    - tools: add support for building rpms on rocky linux (#940)
    - ssh-util: allow cloudinit to merge all ssh keys into a custom user file,
      defined in AuthorizedKeysFile (#937) [Emanuele Giuseppe Esposito]
    - VMware: new "allow_raw_data" switch (#939) [xiaofengw-vmware]
    - bump pycloudlib version (#935)
    - add renanrodrigo as a contributor (#938) [Renan Rodrigo]
    - testing: simplify test_upgrade.py (#932)
    - freebsd/net_v1 format: read MTU from root (#930) [Gonéri Le Bouder]
    - Add new network activators to bring up interfaces (#919)
    - - Detect a Python version change and clear the cache (#857)
      [Robert Schweikert]
    - cloud_tests: fix the Impish release name (#931) [Paride Legovini]
    - Removed distro specific network code from Photon (#929) [sshedi]
    - Add support for VMware PhotonOS (#909) [sshedi]
    - cloud_tests: add impish release definition (#927) [Paride Legovini]
    - docs: fix stale links rename master branch to main (#926)
    - Fix DNS in NetworkState (SC-133) (#923)
    - tests: Add 'adhoc' mark for integration tests (#925)
    - Fix the spelling of "DigitalOcean" (#924) [Mark Mercado]
    - Small Doc Update for ReportEventStack and Test (#920) [Mike Russell]
    - Replace deprecated collections.Iterable with abc replacement (#922)
    - testing: OCI availability domain is now required (SC-59) (#910)
    - add DragonFlyBSD support (#904) [Gonéri Le Bouder]
    - Use instance-data-sensitive.json in jinja templates (SC-117) (#917)
    - doc: Update NoCloud docs stating required files (#918)
    - build-on-netbsd: don't pin a specific py3 version (#913)
      [Gonéri Le Bouder]
    - - Create the log file with 640 permissions (#858) [Robert Schweikert]
    - Allow braces to appear in dhclient output (#911) [eb3095]
    - Docs: Replace all freenode references with libera (#912)
    - openbsd/net: flush the route table on net restart (#908)
      [Gonéri Le Bouder]
    - Add Rocky Linux support to cloud-init (#906) [Louis Abel]
    - Add "esposem" as contributor (#907) [Emanuele Giuseppe Esposito]
    - Add integration test for #868 (#901)
    - Added support for importing keys via primary/security mirror clauses
      (#882) [Paul Goins]
    - [examples] config-user-groups expire in the future (#902)
      [Geert Stappers]


=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Homepage: https://cloud-init.io/
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: debhelper (>= 9.20160709),
                dh-python,
                iproute2,
                pep8,
@@ -15,6 +15,7 @@
                python3-jsonpatch,
                python3-jsonschema,
                python3-mock,
+               python3-netifaces,
                python3-oauthlib,
                python3-pytest,
                python3-requests,
@@ -24,7 +25,7 @@
 XS-Python-Version: all
 Vcs-Browser: https://github.com/canonical/cloud-init/tree/ubuntu/devel
 Vcs-Git: https://github.com/canonical/cloud-init -b ubuntu/devel
-Standards-Version: 4.5.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 
 Package: cloud-init
@@ -35,6 +36,7 @@
          netplan.io,
          procps,
          python3,
+         python3-netifaces,
          python3-requests,
          python3-serial,
          ${misc:Depends},

## cloud-init 21.4

=== Makefile ===
CWD=$(shell pwd)

YAML_FILES=$(shell find cloudinit tests tools -name "*.yaml" -type f )
YAML_FILES+=$(shell find doc/examples -name "cloud-config*.txt" -type f )

PYTHON = python3
PIP_INSTALL := pip3 install

ifeq ($(distro),)
  distro = redhat
endif

READ_VERSION=$(shell $(PYTHON) $(CWD)/tools/read-version || echo read-version-failed)
CODE_VERSION=$(shell $(PYTHON) -c "from cloudinit import version; print(version.version_string())")


all: check

check: check_version test yaml

style-check: flake8

flake8:
	@$(CWD)/tools/run-flake8

unittest: clean_pyc
	python3 -m pytest -v tests/unittests cloudinit

ci-deps-ubuntu:
	@$(PYTHON) $(CWD)/tools/read-dependencies --distro ubuntu --test-distro

ci-deps-centos:
	@$(PYTHON) $(CWD)/tools/read-dependencies --distro centos --test-distro

pip-requirements:
	@echo "Installing cloud-init dependencies..."
	$(PIP_INSTALL) -r "$@.txt" -q

pip-test-requirements:
	@echo "Installing cloud-init test dependencies..."
	$(PIP_INSTALL) -r "$@.txt" -q

test: unittest

check_version:
	@if [ "$(READ_VERSION)" != "$(CODE_VERSION)" ]; then \
	    echo "Error: read-version version '$(READ_VERSION)'" \
	    "not equal to code version '$(CODE_VERSION)'"; exit 2; \
	    else true; fi

config/cloud.cfg:
	$(PYTHON) ./tools/render-cloudcfg config/cloud.cfg.tmpl config/cloud.cfg

clean_pyc:
	@find . -type f -name "*.pyc" -delete
	@find . -type d -name __pycache__ -delete

clean: clean_pyc
	rm -rf doc/rtd_html .tox .coverage

yaml:
	@$(PYTHON) $(CWD)/tools/validate-yaml.py $(YAML_FILES)

rpm:
	$(PYTHON) ./packages/brpm --distro=$(distro)

srpm:
	$(PYTHON) ./packages/brpm --srpm --distro=$(distro)

deb:
	@which debuild || \
		{ echo "Missing devscripts dependency. Install with:"; \
		  echo sudo apt-get install devscripts; exit 1; }

	$(PYTHON) ./packages/bddeb

deb-src:
	@which debuild || \
		{ echo "Missing devscripts dependency. Install with:"; \
		  echo sudo apt-get install devscripts; exit 1; }
	$(PYTHON) ./packages/bddeb -S -d

doc:
	tox -e doc

.PHONY: test flake8 clean rpm srpm deb deb-src yaml
.PHONY: check_version pip-test-requirements pip-requirements clean_pyc
.PHONY: unittest style-check doc

=== debian/changelog ===
cloud-init (21.4-0ubuntu1~18.04.1) bionic; urgency=medium

  * d/cloud-init.templates: Add LXD to default datasource_list with
    translations
  * drop the following cherry-picks now included:
    + cpick-28e56d99-Azure-Retry-dhcp-on-timeouts-when-polling
    + cpick-e69a8874-Set-Azure-to-only-update-metadata-on-BOOT_NEW_INSTANCE
    + cpick-612e3908-Add-connectivity_url-to-Oracle-s-EphemeralDHCPv4-988
    + cpick-dc227869-Set-Azure-to-apply-networking-config-every-BOOT-1023
    + cpick-9c147e83-Allow-disabling-of-network-activation-SC-307-1048
  * refresh patches:
   + debian/patches/renderer-do-not-prefer-netplan.patch
  * New upstream release. (LP: #1949521)
    - Release 21.4 (#1091)
    - Azure: fallback nic needs to be reevaluated during reprovisioning
      (#1094) [Anh Vo]
    - azure: pps imds (#1093) [Anh Vo]
    - testing: Remove calls to 'install_new_cloud_init' (#1092)
    - Add LXD datasource (#1040)
    - Fix unhandled apt_configure case. (#1065) [Brett Holman]
    - Allow libexec for hotplug (#1088)
    - Add necessary mocks to test_ovf unit tests (#1087)
    - Remove (deprecated) apt-key (#1068) [Brett Holman]
    - distros: Remove a completed "TODO" comment (#1086)
    - cc_ssh.py: Add configuration for controlling ssh-keygen output (#1083)
      [dermotbradley]
    - Add "install hotplug" module (SC-476) (#1069)
    - hosts.alpine.tmpl: rearrange the order of short and long hostnames
      (#1084) [dermotbradley]
    - Add max version to docutils
    - cloudinit/dmi.py: Change warning to debug to prevent console display
      (#1082) [dermotbradley]
    - remove unnecessary EOF string in
      disable-sshd-keygen-if-cloud-init-active.conf (#1075) [Emanuele
      Giuseppe Esposito]
    - Add module 'write-files-deferred' executed in stage 'final' (#916)
      [Lucendio]
    - Bump pycloudlib to fix CI (#1080)
    - Remove pin in dependencies for jsonschema (#1078)
    - Add "Google" as possible system-product-name (#1077) [vteratipally]
    - Update Debian security suite for bullseye (#1076) [Johann Queuniet]
    - Leave the details of service management to the distro (#1074)
      [Andy Fiddaman]
    - Fix typos in setup.py (#1059) [Christian Clauss]
    - Update Azure _unpickle (SC-500) (#1067)
    - cc_ssh.py: fix private key group owner and permissions (#1070)
      [Emanuele Giuseppe Esposito]
    - VMware: read network-config from ISO (#1066) [Thomas Weißschuh]
    - testing: mock sleep in gce unit tests (#1072)
    - CloudStack: fix data-server DNS resolution (#1004) [Olivier Lemasle]
    - Fix unit test broken by pyyaml upgrade (#1071)
    - testing: add get_cloud function (SC-461) (#1038)
    - Inhibit sshd-keygen@.service if cloud-init is active (#1028)
      [Ryan Harper]
    - VMWARE: search the deployPkg plugin in multiarch dir (#1061)
      [xiaofengw-vmware]
    - Fix set-name/interface DNS bug (#1058) [Andrew Kutz]
    - Use specified tmp location for growpart (#1046) [jshen28]
    - .gitignore: ignore tags file for ctags users (#1057) [Brett Holman]
    - Allow comments in runcmd and report failed commands correctly (#1049)
      [Brett Holman]
    - tox integration: pass the *_proxy, GOOGLE_*, GCP_* env vars (#1050)
      [Paride Legovini]
    - Allow disabling of network activation (SC-307) (#1048)
    - renderer: convert relative imports to absolute (#1052) [Paride Legovini]
    - Support ETHx_IP6_GATEWAY, SET_HOSTNAME on OpenNebula (#1045)
      [Vlastimil Holer]
    - integration-requirements: bump the pycloudlib commit (#1047)
      [Paride Legovini]
    - Allow Vultr to set MTU and use as-is configs (#1037) [eb3095]
    - pin jsonschema in requirements.txt (#1043)
    - testing: remove cloud_tests (#1020)
    - Add andgein as contributor (#1042) [Andrew Gein]
    - Make wording for module frequency consistent (#1039) [Nicolas Bock]
    - Use ascii code for growpart (#1036) [jshen28]
    - Add jshen28 as contributor (#1035) [jshen28]
    - Skip test_cache_purged_on_version_change on Azure (#1033)
    - Remove invalid ssh_import_id from examples (#1031)
    - Cleanup Vultr support (#987) [eb3095]
    - docs: update cc_disk_setup for fs to raw disk (#1017)
    - HACKING.rst: change contact info to James Falcon (#1030)
    - tox: bump the pinned flake8 and pylint version (#1029) [Paride Legovini]
    - Add retries to DataSourceGCE.py when connecting to GCE (#1005)
      [vteratipally]
    - Set Azure to apply networking config every BOOT (#1023)
    - Add connectivity_url to Oracle's EphemeralDHCPv4 (#988)
    - docs: fix typo and include sudo for report bugs commands (#1022)
      [Renan Rodrigo]
    - VMware: Fix typo introduced in #947 and add test (#1019) [PengpengSun]
    - Update IPv6 entries in /etc/hosts (#1021) [Richard Hansen]
    - Integration test upgrades for the 21.3-1 SRU (#1001)
    - Add Jille to tools/.github-cla-signers (#1016) [Jille Timmermans]
    - Improve ug_util.py (#1013) [Shreenidhi Shedi]
    - Support openEuler OS (#1012) [zhuzaifangxuele]
    - ssh_utils.py: ignore when sshd_config options are not key/value pairs
      (#1007) [Emanuele Giuseppe Esposito]
    - Set Azure to only update metadata on BOOT_NEW_INSTANCE (#1006)
    - cc_update_etc_hosts: Use the distribution-defined path for the hosts
      file (#983) [Andy Fiddaman]
    - Add CloudLinux OS support (#1003) [Alexandr Kravchenko]
    - puppet config: add the start_agent option (#1002) [Andrew Bogott]
    - Fix `make style-check` errors (#1000) [Shreenidhi Shedi]
    - Make cloud-id copyright year (#991) [Andrii Podanenko]
    - Add support to accept-ra in networkd renderer (#999) [Shreenidhi Shedi]
    - Update ds-identify to pass shellcheck (#979) [Andrew Kutz]
    - Azure: Retry dhcp on timeouts when polling reprovisiondata (#998)
      [aswinrajamannar]

 -- James Falcon <james.falcon@canonical.com>  Wed, 03 Nov 2021 09:00:52 -0500

cloud-init (21.3-1-g6803368d-0ubuntu1~18.04.4) bionic; urgency=medium



=== debian/control ===
Source: cloud-init
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9.20160709),
               dh-python,
               iproute2,
               pep8,
               po-debconf,
               python3,
               python3-configobj,
               python3-httpretty,
               python3-jinja2,
               python3-jsonpatch,
               python3-jsonschema,
               python3-mock,
               python3-netifaces,
               python3-oauthlib,
               python3-pytest,
               python3-requests,
               python3-serial,
               python3-setuptools,
               python3-yaml
XS-Python-Version: all
Vcs-Browser: https://git.launchpad.net/cloud-init/?h=ubuntu/devel
Vcs-Git: git://git.launchpad.net/cloud-init -b ubuntu/devel
Standards-Version: 3.9.8

Package: cloud-init
Architecture: all
Depends: cloud-guest-utils | cloud-utils,
         isc-dhcp-client,
         iproute2,
         netplan.io | ifupdown,
         procps,
         python3,
         python3-netifaces,
         python3-requests,
         python3-serial,
         ${misc:Depends},
         ${python3:Depends}
Recommends: eatmydata, gdisk, software-properties-common
XB-Python-Version: ${python:Versions}
Description: Init scripts for cloud instances
 Cloud instances need special scripts to run during initialisation
 to retrieve and install ssh keys and to let the user run various scripts.

## cloud-init 22.1-14

=== Makefile ===
--- 
+++ 
@@ -55,8 +55,28 @@
 	@find . -type f -name "*.pyc" -delete
 	@find . -type d -name __pycache__ -delete
 
-clean: clean_pyc
-	rm -rf doc/rtd_html .tox .coverage
+clean_pytest:
+	rm -rf .cache htmlcov
+
+clean_packaging:
+	rm -rf srpm cloud_init.egg-info/ \
+		cloud-init-*.tar.gz \
+		cloud-init-*.tar.gz.asc \
+		cloud-init.dsc \
+		cloud-init_*.build \
+		cloud-init_*.buildinfo \
+		cloud-init_*.changes \
+		cloud-init_*.deb \
+		cloud-init_*.dsc \
+		cloud-init_*.orig.tar.gz \
+		cloud-init_*.tar.xz \
+		cloud-init_*.upload
+
+clean_release:
+	rm -rf new-upstream-changes.txt commit.msg
+
+clean: clean_pyc clean_pytest clean_packaging clean_release
+	rm -rf doc/rtd_html .tox .coverage tags
 
 yaml:
 	@$(PYTHON) $(CWD)/tools/validate-yaml.py $(YAML_FILES)
@@ -83,6 +103,44 @@
 doc:
 	tox -e doc
 
+# Spell check && filter false positives
+_CHECK_SPELLING := find doc -type f -exec spellintian {} + | \
+       grep -v -e 'doc/rtd/topics/cli.rst: modules modules' \
+               -e 'doc/examples/cloud-config-mcollective.txt: WARNING WARNING' \
+               -e 'doc/examples/cloud-config-power-state.txt: Bye Bye' \
+               -e 'doc/examples/cloud-config.txt: Bye Bye'
+
+
+# For CI we require a failing return code when spellintian finds spelling errors
+check_spelling:
+	@! $(_CHECK_SPELLING)
+
+# Manipulate the output of spellintian into a valid "sed" command which is run
+# to fix the error
+#
+# Example spellintian output:
+#
+# doc/examples/kernel-cmdline.txt: everthing -> everything
+#
+# The "fix_spelling" target manipulates the above output into the following command
+# and runs that command.
+#
+# sed -i "s/everthing/everything/g" doc/examples/kernel-cmdline.txt
+#
+# awk notes:
+#
+# -F ': | -> ' means use the strings ": " or " -> " as field delimeters
+# \046 is octal for double quote
+# $$2 will contain the second field, ($ must be escaped because this is in a Makefile)
+#
+# Limitation: duplicate words with newline between them are not automatically fixed
+fix_spelling:
+	@$(_CHECK_SPELLING) | \
+		sed 's/ (duplicate word)//g' | \
+		awk -F ': | -> ' '{printf "sed -i \047s/%s/%s/g\047 %s\n", $$2, $$3, $$1}' | \
+		sh
+
 .PHONY: test flake8 clean rpm srpm deb deb-src yaml
 .PHONY: check_version pip-test-requirements pip-requirements clean_pyc
-.PHONY: unittest style-check doc
+.PHONY: unittest style-check doc fix_spelling
+.PHONY: clean_pytest clean_packaging check_spelling clean_release

## cloud-init 22.1-14-g2e17a0d6

=== debian/changelog ===
cloud-init (22.1-14-g2e17a0d6-0ubuntu1~22.04.5) jammy; urgency=medium

  * d/p/cpick-be9389c6-Work-around-bug-in-LXD-VM-detection-1325:
    cherry-pick be9389c6: Work around bug in LXD VM detection (#1325)
  * d/p/cpick-30ccd51a-ds-identify-also-discover-LXD-by-presence-from-DMI:
    cherry-pick 30ccd51a: ds-identify: also discover LXD by presence
    from DMI
  * d/p/pick-e3307e4d-ds-identify-detect-LXD-for-VMs-launched-from-host-with:
    cherry-pick e3307e4d: ds-identify: detect LXD for VMs launched from
    host with > 5.10 kernel (LP: #1968085)

 -- James Falcon <james.falcon@canonical.com>  Wed, 06 Apr 2022 16:48:16 -0500

cloud-init (22.1-14-g2e17a0d6-0ubuntu1~22.04.4) jammy; urgency=medium

  * d/p/cpick-eee60329-Fix-cloud-init-status-wait-when-no-datasource-found:
    cherry-pick eee60329: Fix cloud-init status --wait when no datasource
    found (#1349)

 -- Chad Smith <chad.smith@canonical.com>  Wed, 23 Mar 2022 20:10:41 -0600

cloud-init (22.1-14-g2e17a0d6-0ubuntu1~22.04.3) jammy; urgency=medium

  * d/patches: include the missing quilt patch from v. 22.04.2 upload
    - cpick-5e347d25-Revert-Ensure-system_cfg-read-before-ds-net-config-on

 -- James Falcon <james.falcon@canonical.com>  Fri, 11 Mar 2022 15:19:52 -0600

cloud-init (22.1-14-g2e17a0d6-0ubuntu1~22.04.2) jammy; urgency=medium

  * cherry-pick 156b927e: Revert "Ensure system_cfg read before ds
    net config on Oracle (#1174)" (#1326)

 -- James Falcon <james.falcon@canonical.com>  Fri, 11 Mar 2022 11:55:37 -0600

cloud-init (22.1-14-g2e17a0d6-0ubuntu1~22.04.1) jammy; urgency=medium

  * debian/apport-launcher.py: Fix string and whitespace formatting
  * New upstream snapshot.
    - check for existing symlink while force creating symlink (#1281)
      [Shreenidhi Shedi]
    - Do not silently ignore integer uid (#1280) (LP: #1875772)
    - tests: create a IPv4/IPv6 VPC in Ec2 integration tests (#1291)
    - Integration test fix ppa  (#1296)
    - tests: on official EC2. cloud-id actually startswith aws not ec2 (#1289)
    - test_ppa_source: accept both http and https URLs (#1292)
      [Paride Legovini]
    - Fix apt test on azure
    - add "lkundrak" as contributor [Lubomir Rintel]
    - Holmanb/integration test fix ppa (#1287)
    - Include missing subcommand in manpage (#1279)
    - Clean up artifacts from pytest, packaging, release with make clean
      (#1277)
    - sources/azure: ensure retries on IMDS request failure (#1271)
      [Chris Patterson]
    - sources/azure: removed unused saveable PPS paths (#1268)
      [Chris Patterson]

 -- Brett Holman <brett.holman@canonical.com>  Thu, 24 Feb 2022 16:40:00 -0700

cloud-init (22.1-1-gb3d9acdd-0ubuntu1~22.04.1) jammy; urgency=medium

  * New upstream snapshot.
    - integration tests: fix Azure failures (#1269)
    - Release 22.1 (#1267) (LP: #1960939)
    - sources/azure: report ready in local phase (#1265) [Chris Patterson]
    - sources/azure: validate IMDS network configuration metadata (#1257)
      [Chris Patterson]
    - docs: Add more details to runcmd docs (#1266)
    - use PEP 589 syntax for TypeDict (#1253)
    - mypy: introduce type checking (#1254) [Chris Patterson]
    - Fix extra ipv6 issues, code reduction and simplification (#1243) [eb3095]
    - tests: when generating crypted password, generate in target env (#1252)
    - sources/azure: address mypy/pyright typing complaints (#1245)
      [Chris Patterson]
    - Docs for x-shellscript* userdata (#1260)
    - test_apt_security: azure platform has specific security URL overrides
      (#1263)

 -- Brett Holman <brett.holman@canonical.com>  Wed, 16 Feb 2022 13:39:11 -0700

cloud-init (21.4-119-gdeb3ae82-0ubuntu1~22.04.1) jammy; urgency=medium

  * d/cloud-init.templates: Move LXD to back of datasource_list
  * New upstream snapshot.
    - tests: lsblk --json output changes mountpoint key to mountpoinst []
      (#1261)
    - mounts: fix mount opts string for ephemeral disk (#1250)
      [Chris Patterson]
    - Shell script handlers by freq (#1166) [Chris Lalos]
    - minor improvements to documentation (#1259) [Mark Esler]
    - cloud-id: publish /run/cloud-init/cloud-id-<cloud-type> files (#1244)
    - add "eslerm" as contributor (#1258) [Mark Esler]
    - sources/azure: refactor ssh key handling (#1248) [Chris Patterson]
    - bump pycloudlib (#1256)
    - sources/hetzner: Use EphemeralDHCPv4 instead of static configuration
      (#1251) [Markus Schade]
    - bump pycloudlib version (#1255) [Brett Holman]
    - Fix IPv6 netmask format for sysconfig (#1215) [Harald] (LP: #1959148)
    - sources/azure: drop debug print (#1249) [Chris Patterson]
    - tests: do not check instance.pull_file().ok() (#1246)
    - sources/azure: consolidate ephemeral DHCP configuration (#1229)
      [Chris Patterson]
    - cc_salt_minion freebsd fix for rc.conf (#1236) [Brett Holman]
    - sources/azure: fix metadata check in _check_if_nic_is_primary() (#1232)
      [Chris Patterson]
    - Add _netdev option to mount Azure ephemeral disk (#1213) [Eduardo Otubo]
    - testing: stop universally overwriting /etc/cloud/cloud.cfg.d (#1237)
    - Integration test changes (#1240)
    - Fix Gentoo Locales (#1205) [Brett Holman]
    - Add "slingamn" as contributor (#1235) [Shivaram Lingamneni]
    - integration: do not LXD bind mount /etc/cloud/cloud.cfg.d (#1234)
    - Integration testing docs and refactor (#1231)
    - vultr: Return metadata immediately when found (#1233) [eb3095]
    - spell check docs with spellintian (#1223) [Brett Holman]
    - docs: include upstream python version info (#1230)
    - Schema a d (#1211)
    - Move LXD to end ds-identify DSLIST (#1228) (LP: #1959118)
    - fix parallel tox execution (#1214) [Brett Holman]
    - sources/azure: refactor _report_ready_if_needed and _poll_imds (#1222)
      [Chris Patterson]
    - Do not support setting up archive.canonical.com as a source (#1219)
      [Steve Langasek] (LP: #1959343)


=== debian/control ===
Source: cloud-init
Section: admin
Priority: optional
Homepage: https://cloud-init.io/
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               iproute2,
               pep8,
               po-debconf,
               python3,
               python3-configobj,
               python3-httpretty,
               python3-jinja2,
               python3-jsonpatch,
               python3-jsonschema,
               python3-mock,
               python3-netifaces,
               python3-oauthlib,
               python3-pytest,
               python3-requests,
               python3-serial,
               python3-setuptools,
               python3-yaml
XS-Python-Version: all
Vcs-Browser: https://github.com/canonical/cloud-init/tree/ubuntu/devel
Vcs-Git: https://github.com/canonical/cloud-init -b ubuntu/devel
Standards-Version: 4.5.0
Rules-Requires-Root: no

Package: cloud-init
Architecture: all
Depends: cloud-guest-utils | cloud-utils,
         isc-dhcp-client,
         iproute2,
         netplan.io,
         procps,
         python3,
         python3-netifaces,
         python3-requests,
         python3-serial,
         ${misc:Depends},
         ${python3:Depends}
Recommends: eatmydata, gdisk, gnupg, software-properties-common
XB-Python-Version: ${python:Versions}
Description: initialization and customization tool for cloud instances
 Cloud-init is the industry standard multi-distribution method for
 cross-platform cloud instance initialization. It is supported across all major
 public cloud providers, provisioning systems for private cloud infrastructure,
 and bare-metal installations.
 .
 Cloud instances are initialized from a disk image and instance data:
 .
  * Cloud metadata
  * User data (optional)
  * Vendor data (optional)
 .
 Cloud-init will identify the cloud it is running on during boot, read any
 provided metadata from the cloud and initialize the system accordingly. This
 may involve setting up the network and storage devices to configuring SSH
 access key and many other aspects of a system. Later on the cloud-init will
 also parse and process any optional user or vendor data that was passed to
 the instance.

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,12 @@
 #!/usr/bin/make -f
-INIT_SYSTEM ?= upstart,systemd
+
+include /usr/share/dpkg/pkg-info.mk
+
+INIT_SYSTEM ?= systemd
 export PYBUILD_INSTALL_ARGS=--init-system=$(INIT_SYSTEM)
-DEB_VERSION := $(shell dpkg-parsechangelog --show-field=Version)
 
 %:
-	dh $@ --with python3,systemd --buildsystem pybuild
+	dh $@ --with python3 --buildsystem pybuild
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
@@ -13,8 +15,8 @@
 	@echo check disabled by DEB_BUILD_OPTIONS=$(DEB_BUILD_OPTIONS)
 endif
 
-override_dh_systemd_start:
-	dh_systemd_start --no-restart-on-upgrade --no-start
+override_dh_installsystemd:
+	dh_installsystemd --no-restart-on-upgrade --no-start
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/cloud-init
